> For the complete documentation index, see [llms.txt](https://docs.ordinalsbot.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ordinalsbot.com/api/check-rare-sats-inventory.md).

# Check Rare Sats Inventory

Use this endpoint to check any rare, special, vintage sats available to be used in individual or collection inscriptions.

## Check Rare Sats Inventory

<mark style="color:blue;">`GET`</mark> `https://api.ordinalsbot.com/inventory`

Check for available special sats that are available to be inscribed on. This endpoint will return their available count, price and max file size that can be handled.

Each property can be used as input when creating inscription orders, for instance: `rareSats: block9`

{% tabs %}
{% tab title="200: OK Normal Response" %}

```json
{
  "black": {
    "amount": 42609880,
    "baseFee": 40000,
    "commonCount": 135,
    "count": 152,
    "maxSize": 5000000,
    "minSize": 546
  },
  "block286": {
    "amount": 24424386,
    "baseFee": 1000,
    "commonCount": 110,
    "count": 58,
    "maxSize": 5000000,
    "minSize": 1003
  },
  "block78": {
    "amount": 50639419,
    "baseFee": 5000,
    "commonCount": 116,
    "count": 61,
    "maxSize": 5000000,
    "minSize": 865
  },
  "block9": {
    "amount": 44980304,
    "baseFee": 10000,
    "commonCount": 156,
    "count": 49,
    "maxSize": 5000000,
    "minSize": 1003
  },
  "block9450x": {
    "amount": 107593233,
    "baseFee": 10000,
    "commonCount": 136,
    "count": 76,
    "maxSize": 5000000,
    "minSize": 1001
  },
  "block999": {
    "amount": 61977315,
    "baseFee": 10000,
    "commonCount": 169,
    "count": 52,
    "maxSize": 5000000,
    "minSize": 400
  },
  "hitman": {
    "amount": 60275513,
    "baseFee": 5000,
    "commonCount": 199,
    "count": 138,
    "maxSize": 5000000,
    "minSize": 586
  },
  "jpeg": {
    "amount": 34628652,
    "baseFee": 5000,
    "commonCount": 98,
    "count": 94,
    "maxSize": 5000000,
    "minSize": 543
  },
  "legacy": {
    "amount": 10500000,
    "baseFee": 5000,
    "commonCount": 44,
    "count": 0,
    "maxSize": 5000000,
    "minSize": 100000
  },
  "nakamoto": {
    "amount": 61662759,
    "baseFee": 5000,
    "commonCount": 185,
    "count": 524,
    "maxSize": 5000000,
    "minSize": 553
  },
  "pizza": {
    "amount": 107901654,
    "baseFee": 2500,
    "commonCount": 379,
    "count": 156,
    "maxSize": 5000000,
    "minSize": 839
  },
  "silkroad": {
    "amount": 11011389,
    "baseFee": 5000,
    "commonCount": 48,
    "count": 10,
    "maxSize": 5000000,
    "minSize": 1000
  },
  "uncommon": {
    "amount": 75441924,
    "baseFee": 80000,
    "commonCount": 98,
    "count": 2,
    "maxSize": 5000000,
    "minSize": 546
  },
  "vintage": {
    "amount": 75494656,
    "baseFee": 9000,
    "commonCount": 136,
    "count": 65,
    "maxSize": 5000000,
    "minSize": 878
  }
}
```

{% endtab %}

{% tab title="200: OK Error Response with Cause" %}

```
{
    status: 'error', 
    error: 'error reason'
}
```

{% endtab %}

{% tab title="500: Internal Server Error Server side error" %}

```
{
    status: 'error',
    reason: 'server error'
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ordinalsbot.com/api/check-rare-sats-inventory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
